from typing import ClassVar

from sqlmodel import Field

from gisaf.models.geo_models_base import GeoLineModel
from gisaf.models.info_item import InfoItem

from ...metadata import water

class WaterLine(GeoLineModel, table=True):
    __tablename__ = 'water_line'
    __table_args__ = water.table_args

    class Admin:
        menu = 'Water'

    z_index: ClassVar[int] = 423
    icon: ClassVar[str] = 'avsm_water-water_line'

    id: int | None = Field(default=None, primary_key=True)

    async def get_info(self) -> list[InfoItem]:
        return [
            InfoItem(key='source', value='Auroville Water Service')
        ]

    attribution: ClassVar[str] = 'AVWS'