from typing import ClassVar

from sqlmodel import Field

from gisaf.models.geo_models_base import GeoPolygonModel
from gisaf.models.info_item import InfoItem

from ...metadata import water_harvest


class WaterTank(GeoPolygonModel, table=True):
    __tablename__ = 'water_tank'
    __table_args__ = water_harvest.table_args

    z_index: ClassVar[int] = 422
    attribution = 'Water Harvest'

    id: int | None = Field(default=None, primary_key=True)

    async def get_info(self):
        return {
            'source': 'Water Harvest'
        }
